dns_name4(3)

NAME
dns_name4 - look up host name

SYNTAX
#include <libowfat/dns.h>

int dns_name4(stralloc* out,const char* ip[4]);

DESCRIPTION
dns_name4 looks up the domain name for the 4-byte IP address in ip. It puts the (first) domain name into out and returns 0. If the relevant in-addr.arpa domain does not exist in DNS, or has no PTR records, out will be empty.

If dns_name4 has trouble with the DNS lookup or runs out of memory, it returns -1, setting errno appropriately. It may or may not change out.

SEE ALSO
dns_name_packet(3), dns_name4_domain(3), dns_name6(3), dns_ip4(3)